# abstract SpreadMethod(Null<Int>)

#### package openfl.display

####

Available on all platforms

The SpreadMethod class provides values for the `spreadMethod` parameter in the `beginGradientFill()` and `lineGradientStyle()` methods of the Graphics class.

The following example shows the same gradient fill using various spread methods:

### Variables

###

`inline read onlyPAD:SpreadMethod = 0`

Specifies that the gradient use the pad spread method.

###

`inline read onlyREFLECT:SpreadMethod = 1`

Specifies that the gradient use the reflect spread method.

###

`inline read onlyREPEAT:SpreadMethod = 2`

Specifies that the gradient use the repeat spread method.